Package org.kie.api.event.rule

## Interface RuleRuntimeEventManager

- All Known Subinterfaces:
    `KieRuntime`, `KieRuntimeEventManager`, `KieSession`, `StatelessKieSession`

      public interface RuleRuntimeEventManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEventListener​(AgendaEventListener listener)` | Add an event listener.
    `void` | `addEventListener​(RuleRuntimeEventListener listener)` | Add an event listener.
    `Collection<AgendaEventListener>` | `getAgendaEventListeners()` | Returns all event listeners.
    `Collection<RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners()` | Returns all event listeners.
    `void` | `removeEventListener​(AgendaEventListener listener)` | Remove an event listener.
    `void` | `removeEventListener​(RuleRuntimeEventListener listener)` | Remove an event listener.

- - ### Method Detail

    - #### addEventListener

          void addEventListener​(RuleRuntimeEventListener listener)

      Add an event listener.
      Parameters:
        `listener` - The listener to add.

    - #### removeEventListener

          void removeEventListener​(RuleRuntimeEventListener listener)

      Remove an event listener.
      Parameters:
        `listener` - The listener to remove.

    - #### getRuleRuntimeEventListeners

          Collection<RuleRuntimeEventListener> getRuleRuntimeEventListeners()

      Returns all event listeners.
      Returns:
        listeners The listeners.

    - #### addEventListener

          void addEventListener​(AgendaEventListener listener)

      Add an event listener.
      Parameters:
        `listener` - The listener to add.

    - #### removeEventListener

          void removeEventListener​(AgendaEventListener listener)

      Remove an event listener.
      Parameters:
        `listener` - The listener to remove.

    - #### getAgendaEventListeners

          Collection<AgendaEventListener> getAgendaEventListeners()

      Returns all event listeners.
      Returns:
        listeners The listeners.